Loading...
Searching...
No Matches
BALL::SecondaryStructureProcessor Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

Secondary structure extraction from 3D structure. More...

`#include <BALL/STRUCTURE/secondaryStructureProcessor.h>`

Inheritance diagram for BALL::SecondaryStructureProcessor:

## Public Member Functions

Constructors
| SecondaryStructureProcessor ()
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Processor-related methods

std::vector< std::vector< Position > > | HBonds_
std::vector< std::vector< int > > | posbridges_
String | sheet_
String | fiveturn_
String | fourturn_
String | threeturn_
String | summary_
virtual Processor::Result | operator() (Composite &composite)
void | compute_ ()
| Compute the secondary structure.
char | setSecondaryStructureType_ (SecondaryStructure *ss, char type)
bool | testString_ (const String &s, Size offset, Size offset_2)
bool | testString2_ (const String &s, Size offset)
bool | testString3_ (const String &s, Size offset, char x)
void | insertTurn_ (int turn, int position)
void | changeAllXToY_ (char X, char Y, String &target)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Secondary structure extraction from 3D structure.

Secondary Structure Processor.

This class implements the DSSP algorithm described in "Kabsch W & Sander C (1983). Dictionary of protein secondary structure: pattern recognition of hydrogen-bonded and geometrical features. Biopolymers, 22, 2577-2637."

When applied to a protein, it removes the instances of SecondaryStructure from the protein, predicts the secondary structure elements based (mostly) on H-bond patterns and backbone torsions and reinserts the appropriate secondary structure elements at the predicted positions.

Definition at line 38 of file secondaryStructureProcessor.h.

## Constructor & Destructor Documentation

## SecondaryStructureProcessor()

BALL::SecondaryStructureProcessor::SecondaryStructureProcessor | ( |  | ) |

## Member Function Documentation

## changeAllXToY_()

void BALL::SecondaryStructureProcessor::changeAllXToY_ | ( | char | X,
|  | char | Y,
|  | String & | target )

protected

## compute_()

void BALL::SecondaryStructureProcessor::compute_ | ( |  | ) |

protected

Compute the secondary structure.

## insertTurn_()

void BALL::SecondaryStructureProcessor::insertTurn_ | ( | int | turn,
|  | int | position )

protected

## operator()()

virtual Processor::Result BALL::SecondaryStructureProcessor::operator() | ( | Composite & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Composite >.

## setSecondaryStructureType_()

char BALL::SecondaryStructureProcessor::setSecondaryStructureType_ | ( | SecondaryStructure * | ss,
|  | char | type )

protected

## testString2_()

bool BALL::SecondaryStructureProcessor::testString2_ | ( | const String & | s,
|  | Size | offset )

protected

## testString3_()

bool BALL::SecondaryStructureProcessor::testString3_ | ( | const String & | s,
|  | Size | offset,
|  | char | x )

protected

## testString_()

bool BALL::SecondaryStructureProcessor::testString_ | ( | const String & | s,
|  | Size | offset,
|  | Size | offset_2 )

protected

## Member Data Documentation

## fiveturn_

String BALL::SecondaryStructureProcessor::fiveturn_

protected

Definition at line 77 of file secondaryStructureProcessor.h.

## fourturn_

String BALL::SecondaryStructureProcessor::fourturn_

protected

Definition at line 78 of file secondaryStructureProcessor.h.

## HBonds_

std::vector<std::vector<Position> > BALL::SecondaryStructureProcessor::HBonds_

protected

Definition at line 71 of file secondaryStructureProcessor.h.

## posbridges_

std::vector<std::vector<int> > BALL::SecondaryStructureProcessor::posbridges_

protected

Definition at line 74 of file secondaryStructureProcessor.h.

## sheet_

String BALL::SecondaryStructureProcessor::sheet_

protected

Definition at line 76 of file secondaryStructureProcessor.h.

## summary_

String BALL::SecondaryStructureProcessor::summary_

protected

Definition at line 80 of file secondaryStructureProcessor.h.

## threeturn_

String BALL::SecondaryStructureProcessor::threeturn_

protected

Definition at line 79 of file secondaryStructureProcessor.h.